COMPTEL TS map has same values in all pixels

01/14/2021 03:40 PM - Knödlseder Jürgen

Status: Closed Start date: 01/14/2021

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.0.0   

Description

Similar to #2183 the COMPTEL TS map has the same values in all pixels. This is due to commit #0a9552e7 that removed the setting

of the test source name from cttsmap. This change should be reverted.

History

#1 - 01/14/2021 04:01 PM - Knödlseder Jürgen

- Project changed from ctools to GammaLib

- Status changed from New to In Progress

- Target version changed from 2.0.0 to 2.0.0

- % Done changed from 0 to 10

The issue should in principle be handled by the GObservation::remove_response_cache() method that is called by cttsmap::run(). It turned out that

this method does not work as expected for the new vectorised cache implementation. This is therefore a GammaLib issue.

#2 - 01/14/2021 05:10 PM - Knödlseder Jürgen

- % Done changed from 10 to 50

I implement cache removal at that GObservation::remove_response_cache() level, before the base class method was just a hook. I removed

GCTAObservation::remove_response_cache() since cache removal is now handled in the base class.

I added the vector cache to the caches that are handled by GResponse::remove_response_cache().

I added a call to GCOMResponse::remove_response_cache() in GCOMObservation::remove_response_cache() since this method also handles DRM

response caches. It should be checked whether the DRM response cache can actually be removed now.

I also should check whether TS computation works for all instruments and all data types. I leave the issue open for this.

#3 - 01/14/2021 08:57 PM - Knödlseder Jürgen

I merged the modified code into devel. Keep the issue open for the remaining checks mentioned above.

#4 - 01/15/2021 05:03 PM - Knödlseder Jürgen

- % Done changed from 50 to 60

The DRM cache is still needed for the event-wise access.

The CTA TS map looks also good, but I have not yet done tests for all analysis methods.
#5 - 01/15/2021 09:12 PM - Knödlseder Jürgen

- % Done changed from 60 to 70

I checked that TS maps can be produced for all kinds of CTA analysis (unbinned, binned and stacked).

#6 - 01/16/2021 02:34 PM - Knödlseder Jürgen

- % Done changed from 70 to 80

I checked that the TS map computation works also for SPI.

#7 - 01/17/2021 02:37 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 80 to 100

I checked that the TS map also work for Fermi.

Close the issue now.
